/**

    Copyright 2004, 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.workflow.api;


/**
 * @author zoppello
 *
 * This is the interface for the implemenation of the factory that return a workflow engine
 * 
 * All implementations of the SpagoWorkflowAPI MUST give an implementation of this class
 */
public interface IWorkflowEngineFactory {
	
	/**
	 * This is the factory method for getting IWorkflow Engine Instances
	 * @return the IWorkflow Engine instance
	 */
	public IWorkflowEngine getWorkflowEngine();
	
	
	/**
	 * This is the factory method for getting IWorkflow Engine Instances, specifyng a configuration file
	 * @return the IWorkflow Engine instance
	 */
	public IWorkflowEngine getWorkflowEngine(String configFilePath);
}
