/**

    Copyright 2004, 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.workflow.api;

/**
 * @author zoppello
 *
 * The interface that represent <b> Packages </b> in Spago Workflow API
 * 
 * In Spago Worrkflow API a Packages is a resource that contains Workflow Definitions
 * A package has:
 * 
 * <ul>
 * 	<li>A Package Identifier</li>
 * 	<li>A Package Version</li>
 * 	<li>A Definition File Name</li>
 * </ul>
 */
public interface IWorkflowPackage {
	
	/**
	 * @return the package ID
	 */
	public String getPackageID(); 
	
	/**
	 * @return the package Version
	 */
	public String getPackageVersion();

	/**
	 * @return the package defintion file Name
	 */
	public String getPackageDefinitionFileName();
	
	/**
	 * @return true if in the engine there are Process tha reference this package
	 * @throws WorkflowEngineException
	 */
	public boolean isReferenced() throws WorkflowEngineException;
	
	
	
}
