/**

    Copyright 2004, 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.workflow.api;


/**
 * @author zoppello
 * 
 * IWorkflowDefiniton objects represent the objects that in a workflow engine contains the 
 * process definition
 */
public interface IWorkflowProcessDefinition {
	
	/**
	 * This method retrieve the Process Definition Identifier
	 * @return The Process defintion Identifier
	 * @throws WorkflowEngineException
	 */
	public String getProcessDefinitionId() throws  WorkflowEngineException;
	
	/**
	 * This method retrieve the process definition name
	 * @return the name of the process
	 * @throws WorkflowEngineException
	 */
	public String getName() throws WorkflowEngineException;
	
	/**
	 * @return the category of the process definition
	 * @throws WorkflowEngineException
	 */
	public String getCategory() throws WorkflowEngineException;
	
	/**
	 * @return the version of the process definition
	 * @throws WorkflowEngineException
	 */
	public String getVersion() throws WorkflowEngineException;
	
	/**
	 * @return the description of the process defintion
	 * @throws WorkflowEngineException
	 */
	public String getDescription() throws WorkflowEngineException;
	
	
}
