/**

    Copyright 2004, 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.workflow.api;

import java.io.PrintStream;

/**
 * @author zoppello
 *
 * This class wrap native workflow engine specific engine Exception
 * to a common class for SpagoWorkflowAPI.
 */
public class WorkflowEngineException extends Exception{

	private Exception cause = null;
	
	public WorkflowEngineException(Exception cause){
		this.cause = null;
	}

	/**
     * Prints this throwable and its backtrace to the specified print stream.
     *
     * @param s <code>PrintStream</code> to use for output
     */
    public void printStackTrace(PrintStream s) {
        
        super.printStackTrace(s);
        if (cause != null){
        	cause.printStackTrace(s);
        }
        
    }
	
}
